Skip to main content
DELETE
/
v1
/
workflows
/
{id}
/
tracks
/
{track_id}
curl -X DELETE 'https://api.lavendly.ai/v1/workflows/wf_xyz/tracks/tr_a1b2c3d4e5f6?remove_source=1' \
  -H 'Authorization: Bearer $LAVENDLY_API_KEY'
{
  "track_id":            "tr_a1b2c3d4e5f6",
  "detached":            true,
  "source_node_removed": true
}
id
string
required
Workflow id.
track_id
string
required
Track id.

Query

remove_source
boolean
default:"false"
If 1, also deletes the source audio node from the workflow graph (otherwise just removes the edge to the clip).
curl -X DELETE 'https://api.lavendly.ai/v1/workflows/wf_xyz/tracks/tr_a1b2c3d4e5f6?remove_source=1' \
  -H 'Authorization: Bearer $LAVENDLY_API_KEY'
{
  "track_id":            "tr_a1b2c3d4e5f6",
  "detached":            true,
  "source_node_removed": true
}